<template>
  <q-page class="row justify-center">
    <div class="q-pa-md col-xs-12 col-sm-10 col-md-9 col-lg-7 column">
      <p class="q-mt-xl column">
        <span class="text-h4 text-bold"> This is the image page </span>
        <span class="text-caption text-grey-8">
          You can view the image details and edit the descriptors
        </span>
      </p>

      <CodeInput @update="descriptor = $event" />

      <div class="q-mt-md row justify-between">
        <q-btn rounded no-caps>
          <q-icon left name="cancel" />
          <div>Cancel</div>
        </q-btn>

        <q-btn rounded no-caps color="accent">
          <q-icon left name="save" />
          <div>Save</div>
        </q-btn>
      </div>
    </div>
  </q-page>
</template>

<script setup lang="ts">
import { ref } from 'vue';
import CodeInput from 'src/components/CodeInput.vue';

const descriptor = ref<string>('');
</script>

<style scoped lang="scss">
.code-input {
  border-radius: 14px;
  overflow: hidden;
  box-shadow: 0 0 40px rgba(0, 0, 0, 0.2);
  transition: all 0.3s ease;
  backdrop-filter: blur(10px) !important;
  font-family: 'Roboto Mono', monospace;
}

.code-input:hover {
  background-color: rgba(0, 0, 0, 0.02) !important;
}
</style>
